docusign.account-password-rules.put-account-password-rules ​
This method updates the password rules for an account. Note: To update the password rules for an account, you must be an account administrator.
Updates the password rules for an account.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
expirepassword | string | No | — | When true, passwords expire. The default value is false. |
expirepassworddays | string | No | — | The number of days before passwords expire. To use this property, the expirePassword property must be set to true. |
expirepassworddaysmetadata | json | No | — | — |
lockoutdurationminutes | string | No | — | The number of minutes a user is locked out of the system after three failed login attempts. The default value is 2. |
lockoutdurationminutesmetadata | json | No | — | — |
lockoutdurationtype | string | No | — | The interval associated with the user lockout after a failed login attempt. Possible values are: - minutes (default) - hours - days |
lockoutdurationtypemetadata | json | No | — | — |
minimumpasswordagedays | string | No | — | The minimum number of days after a password is set before it can be changed. This value can be 0 or more days. The default value is 0. |
minimumpasswordagedaysmetadata | json | No | — | — |
minimumpasswordlength | string | No | — | The minimum number of characters in the password. This value must be a number between 6 and 15. The default value is 6. |
minimumpasswordlengthmetadata | json | No | — | — |
passwordincludedigit | string | No | — | When true, passwords must include a digit. The default value is false. |
passwordincludedigitorspecialcharacter | string | No | — | When true, passwords must include either a digit or a special character. The default value is false. Note: Passwords cannot include angle brackets (< >) or spaces. |
passwordincludelowercase | string | No | — | When true, passwords must include a lowercase letter. The default value is false. |
passwordincludespecialcharacter | string | No | — | When true, passwords must include a special character. The default value is false. Note: Passwords cannot include angle brackets (< >) or spaces. |
passwordincludeuppercase | string | No | — | When true, passwords must include an uppercase letter. The default value is false. |
passwordstrengthtype | string | No | — | The type of password strength. Possible values are: - basic: The minimum password length is 6 characters with no other password requirements. - medium: The minimum password length is 7 characters. Passwords must also have one uppercase letter, one lowercase letter, and one number or special character. - strong: The minimum password length is 9 characters. Passwords must also have one uppercase letter, one lowercase letter, one number, and one special character. - custom: This option enables you to customize password requirements, including the following properties: - minimumPasswordLength - minimumPasswordAgeDays - passwordIncludeDigit - passwordIncludeDigitOrSpecialCharacter - passwordIncludeLowerCase - passwordIncludeSpecialCharacter - passwordIncludeUpperCase - questionsRequired |
passwordstrengthtypemetadata | json | No | — | — |
questionsrequired | string | No | — | The number of security questions required to confirm the user’s identity before the user can reset their password. The default value is 0. |
questionsrequiredmetadata | json | No | — | Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
expirepassword | string | No | — | When true, passwords expire. The default value is false. |
expirepassworddays | string | No | — | The number of days before passwords expire. To use this property, the expirePassword property must be set to true. |
expirepassworddaysmetadata | json | No | — | — |
lockoutdurationminutes | string | No | — | The number of minutes a user is locked out of the system after three failed login attempts. The default value is 2. |
lockoutdurationminutesmetadata | json | No | — | — |
lockoutdurationtype | string | No | — | The interval associated with the user lockout after a failed login attempt. Possible values are: - minutes (default) - hours - days |
lockoutdurationtypemetadata | json | No | — | — |
minimumpasswordagedays | string | No | — | The minimum number of days after a password is set before it can be changed. This value can be 0 or more days. The default value is 0. |
minimumpasswordagedaysmetadata | json | No | — | — |
minimumpasswordlength | string | No | — | The minimum number of characters in the password. This value must be a number between 6 and 15. The default value is 6. |
minimumpasswordlengthmetadata | json | No | — | — |
passwordincludedigit | string | No | — | When true, passwords must include a digit. The default value is false. |
passwordincludedigitorspecialcharacter | string | No | — | When true, passwords must include either a digit or a special character. The default value is false. Note: Passwords cannot include angle brackets (< >) or spaces. |
passwordincludelowercase | string | No | — | When true, passwords must include a lowercase letter. The default value is false. |
passwordincludespecialcharacter | string | No | — | When true, passwords must include a special character. The default value is false. Note: Passwords cannot include angle brackets (< >) or spaces. |
passwordincludeuppercase | string | No | — | When true, passwords must include an uppercase letter. The default value is false. |
passwordstrengthtype | string | No | — | The type of password strength. Possible values are: - basic: The minimum password length is 6 characters with no other password requirements. - medium: The minimum password length is 7 characters. Passwords must also have one uppercase letter, one lowercase letter, and one number or special character. - strong: The minimum password length is 9 characters. Passwords must also have one uppercase letter, one lowercase letter, one number, and one special character. - custom: This option enables you to customize password requirements, including the following properties: - minimumPasswordLength - minimumPasswordAgeDays - passwordIncludeDigit - passwordIncludeDigitOrSpecialCharacter - passwordIncludeLowerCase - passwordIncludeSpecialCharacter - passwordIncludeUpperCase - questionsRequired |
passwordstrengthtypemetadata | json | No | — | — |
questionsrequired | string | No | — | The number of security questions required to confirm the user’s identity before the user can reset their password. The default value is 0. |
questionsrequiredmetadata | json | No | — | Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/settings/password_rules |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/settings/password_rules |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-password-rules.put-account-password-rules",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}